Bug 1848902 - ERF42-0258 [Foreman::Exception]: <uuid> is not valid, enter id or name
Summary: ERF42-0258 [Foreman::Exception]: <uuid> is not valid, enter id or name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.8.0
Assignee: Yifat Makias
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-19 08:12 UTC by Lukáš Hellebrandt
Modified: 2020-10-27 13:03 UTC (History)
4 users (show)

Fixed In Version: foreman-2.1.0.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:03:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
foreman-tail.log (2.14 KB, text/plain)
2020-06-19 08:25 UTC, Lukáš Hellebrandt
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 30195 0 Normal Closed ERF42-0258 [Foreman::Exception]: <uuid> is not valid, enter id or name 2020-12-04 20:11:23 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:03:34 UTC

Description Lukáš Hellebrandt 2020-06-19 08:12:59 UTC
Description of problem:
When adding a new CR of type RHEV, upon selecting a datacenter that is NOT the first in the list, the following error occurs:

ERF42-0258 [Foreman::Exception]: <uuid> is not valid, enter id or name

Log attached but doens't contain any traceback.

Version-Release number of selected component (if applicable):
Sat 6.8 snap 5.0

How reproducible:
Deterministic

Steps to Reproduce:
1. Have a Satellite and RHEV instance
2. Infrastructure -> Compute Resources -> Create
3. Fill in details
4. Load Datacenters
5. Select non-default datacenter

Actual results:
Error, list of datacenters deleted

Expected results:
Successfully verified connection, CR can be added

Comment 2 Lukáš Hellebrandt 2020-06-19 08:25:40 UTC
Created attachment 1698059 [details]
foreman-tail.log

Comment 3 Tomer Brisker 2020-06-23 07:42:57 UTC
Created redmine issue https://projects.theforeman.org/issues/30195 from this bug

Comment 4 Lukáš Hellebrandt 2020-06-24 09:58:26 UTC
Another way to reproduce:

1) Add a CR through Hammer, selecting any Datacenter (not just the first one) works
2) In WebUI, try to change to another datacenter

Comment 5 Bryan Kearney 2020-06-25 12:04:21 UTC
Upstream bug assigned to ymakias

Comment 6 Bryan Kearney 2020-06-25 12:04:24 UTC
Upstream bug assigned to ymakias

Comment 8 Lukáš Hellebrandt 2020-07-29 11:47:28 UTC
Verified with Sat 6.8 snap 10.0.

Using reproducer from OP, it's now possible to add a RHEV CR with non-default datacenter.

Comment 11 errata-xmlrpc 2020-10-27 13:03:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.